public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/gentoo:master commit in: net-firewall/psad/
@ 2015-12-16  8:15 Jeroen Roovers
  0 siblings, 0 replies; 14+ messages in thread
From: Jeroen Roovers @ 2015-12-16  8:15 UTC (permalink / raw
  To: gentoo-commits

commit:     0d94a5093f86296e8a7a4e541a471f8082744581
Author:     Jeroen Roovers <jer <AT> gentoo <DOT> org>
AuthorDate: Wed Dec 16 07:53:57 2015 +0000
Commit:     Jeroen Roovers <jer <AT> gentoo <DOT> org>
CommitDate: Wed Dec 16 07:53:57 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0d94a509

net-firewall/psad: Version bump.

Package-Manager: portage-2.2.26

 net-firewall/psad/Manifest          |  1 +
 net-firewall/psad/psad-2.4.2.ebuild | 91 +++++++++++++++++++++++++++++++++++++
 2 files changed, 92 insertions(+)

diff --git a/net-firewall/psad/Manifest b/net-firewall/psad/Manifest
index 79ec326..ed51477 100644
--- a/net-firewall/psad/Manifest
+++ b/net-firewall/psad/Manifest
@@ -1,2 +1,3 @@
 DIST psad-2.2.5.tar.bz2 1243987 SHA256 736d446266227cb65511d792c85224573c95ea4dc3bde3d5c65bc19084f57452 SHA512 195a06420cf821d182a5422705ba2d407fd35f23887430e61925cad0eada7d20e2416eaf6317857a5aec2f1264a280a7e0128cc301f17dcf20cf833a9f0efb6e WHIRLPOOL fac4797e0a399d4f5edf2179c21d37791d184ee1e334b9b8fb2707405afc10ca0c0d4ab43cd274f34cf8ba9453189066b1d46b955d0533fa357e376ef3817f1f
 DIST psad-2.4.1.tar.bz2 1361593 SHA256 d86688ed7907724750b501087a92a3417cb5b2dc81e06230d0eb2cdcf676b03e SHA512 e146d9853e265f4bb25b79fff7a0ab6ba2759367890498ea25edaff771df1b30c3a284b18e6fe5ae3f4c91a79f6b8d255bf331921c36a24fb0f4f554fa3cb848 WHIRLPOOL 5ac2b96fd8ec4baa98a0b35465e5c8bbfb3dffd48f2a95e31ef80e176d80e7ed09a5bcf6d945e8bed3d69d9cb21b14857dc56fd24bc5ce01ef9540729fd585d4
+DIST psad-2.4.2.tar.bz2 1396459 SHA256 0490688c2d09428ee3b0f20a8aebaceb5993484c5e30176f883bea37272c9715 SHA512 1a28bec3eafcbc9a480680598724b7c99c1aaad2560ec44d00b002208d737b771017c3bbeb73ece10199740d1c9094b11036f8d04cb5b8c6f3860f2e0c0221ab WHIRLPOOL 17401c1ad846759f181f2f5d0619412f198aff5dd54fa8841a02757322ada67a9f6ae651b3b1cdbc4dbfbe2ed0570e56a74bb235794b24b0a187583383a94b0b

diff --git a/net-firewall/psad/psad-2.4.2.ebuild b/net-firewall/psad/psad-2.4.2.ebuild
new file mode 100644
index 0000000..dcf0bcd
--- /dev/null
+++ b/net-firewall/psad/psad-2.4.2.ebuild
@@ -0,0 +1,91 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+#PERL_EXPORT_PHASE_FUNCTIONS=no
+inherit eutils perl-module toolchain-funcs
+
+DESCRIPTION="Port Scanning Attack Detection daemon"
+SRC_URI="http://www.cipherdyne.org/psad/download/${P}.tar.bz2"
+HOMEPAGE="http://www.cipherdyne.org/psad"
+
+SLOT="0"
+LICENSE="GPL-2"
+KEYWORDS="~alpha ~amd64 ~ppc ~sparc ~x86"
+
+DEPEND="virtual/perl-ExtUtils-MakeMaker"
+RDEPEND="
+	dev-perl/Bit-Vector
+	dev-perl/Date-Calc
+	dev-perl/NetAddr-IP
+	dev-perl/Unix-Syslog
+	net-firewall/iptables
+	net-misc/whois
+	virtual/logger
+	virtual/mailx
+	virtual/perl-Storable
+"
+
+src_prepare() {
+	epatch "${FILESDIR}"/${PN}-2.2.4-var-run.patch
+
+	sed -i \
+		-e 's|/usr/bin/gcc|$(CC)|g' \
+		-e 's|-O|$(CFLAGS) $(LDFLAGS)|g' \
+		Makefile || die
+	# Fix up default paths
+	sed -i \
+		-e "s:/usr/bin/whois_psad:/usr/bin/whois:g" \
+		psad.conf || die
+}
+
+src_configure() {
+	default
+
+	local deps_subdir
+	for deps_subdir in IPTables-Parse IPTables-ChainMgr; do
+		cd "${S}"/deps/${deps_subdir} || die
+		SRC_PREP="no" perl-module_src_configure
+	done
+}
+
+src_compile() {
+	tc-export CC
+	default
+
+	local deps_subdir
+	for deps_subdir in IPTables-Parse IPTables-ChainMgr; do
+		cd "${S}"/deps/${deps_subdir} || die
+		perl-module_src_compile
+	done
+}
+
+src_install() {
+	newbin pscan psad-pscan
+
+	insinto /usr
+	dosbin kmsgsd psad psadwatchd
+	newsbin fwcheck_psad.pl fwcheck_psad
+
+	insinto /etc/psad
+	doins \
+		*.conf auto_dl icmp{,6}_types ip_options psad_* pf.os posf \
+		protocols signatures
+
+	newinitd init-scripts/psad-init.gentoo psad
+
+	doman *.8
+
+	dodoc BENCHMARK CREDITS Change* FW_EXAMPLE_RULES FW_HELP README \
+		README.SYSLOG SCAN_LOG
+
+	insinto /etc/psad/snort_rules
+	doins deps/snort_rules/*
+
+	local deps_subdir
+	for deps_subdir in IPTables-Parse IPTables-ChainMgr; do
+		cd "${S}"/deps/${deps_subdir} || die
+		perl-module_src_install
+	done
+}


^ permalink raw reply related	[flat|nested] 14+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: net-firewall/psad/
@ 2015-12-28  7:45 Jeroen Roovers
  0 siblings, 0 replies; 14+ messages in thread
From: Jeroen Roovers @ 2015-12-28  7:45 UTC (permalink / raw
  To: gentoo-commits

commit:     65dd9e7b5a5e5f86dc5790e4ada8780edb77b945
Author:     Jeroen Roovers <jer <AT> gentoo <DOT> org>
AuthorDate: Mon Dec 28 07:45:36 2015 +0000
Commit:     Jeroen Roovers <jer <AT> gentoo <DOT> org>
CommitDate: Mon Dec 28 07:45:36 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=65dd9e7b

net-firewall/psad: Version bump.

Package-Manager: portage-2.2.26

 net-firewall/psad/Manifest          |  1 +
 net-firewall/psad/psad-2.4.3.ebuild | 91 +++++++++++++++++++++++++++++++++++++
 2 files changed, 92 insertions(+)

diff --git a/net-firewall/psad/Manifest b/net-firewall/psad/Manifest
index ed51477..94cca56 100644
--- a/net-firewall/psad/Manifest
+++ b/net-firewall/psad/Manifest
@@ -1,3 +1,4 @@
 DIST psad-2.2.5.tar.bz2 1243987 SHA256 736d446266227cb65511d792c85224573c95ea4dc3bde3d5c65bc19084f57452 SHA512 195a06420cf821d182a5422705ba2d407fd35f23887430e61925cad0eada7d20e2416eaf6317857a5aec2f1264a280a7e0128cc301f17dcf20cf833a9f0efb6e WHIRLPOOL fac4797e0a399d4f5edf2179c21d37791d184ee1e334b9b8fb2707405afc10ca0c0d4ab43cd274f34cf8ba9453189066b1d46b955d0533fa357e376ef3817f1f
 DIST psad-2.4.1.tar.bz2 1361593 SHA256 d86688ed7907724750b501087a92a3417cb5b2dc81e06230d0eb2cdcf676b03e SHA512 e146d9853e265f4bb25b79fff7a0ab6ba2759367890498ea25edaff771df1b30c3a284b18e6fe5ae3f4c91a79f6b8d255bf331921c36a24fb0f4f554fa3cb848 WHIRLPOOL 5ac2b96fd8ec4baa98a0b35465e5c8bbfb3dffd48f2a95e31ef80e176d80e7ed09a5bcf6d945e8bed3d69d9cb21b14857dc56fd24bc5ce01ef9540729fd585d4
 DIST psad-2.4.2.tar.bz2 1396459 SHA256 0490688c2d09428ee3b0f20a8aebaceb5993484c5e30176f883bea37272c9715 SHA512 1a28bec3eafcbc9a480680598724b7c99c1aaad2560ec44d00b002208d737b771017c3bbeb73ece10199740d1c9094b11036f8d04cb5b8c6f3860f2e0c0221ab WHIRLPOOL 17401c1ad846759f181f2f5d0619412f198aff5dd54fa8841a02757322ada67a9f6ae651b3b1cdbc4dbfbe2ed0570e56a74bb235794b24b0a187583383a94b0b
+DIST psad-2.4.3.tar.bz2 1395260 SHA256 e482de4602ab72dba868dcdd1078ad3645d49ab02a9eb116dd117c1a5a20f8c5 SHA512 8a25ef377e3f4f406c2179a42217110a670f1c0eb8e7991e32a99fd695ca1866218274e9aaeb48552e1bd9bd91b5fbf34b226d767c28f1db27f15b08fba2b0e8 WHIRLPOOL a1c06df2cd67baa3e2b519094ffcccd027aab47352c00cd3147a8d3db2366ce8cbea42c37f5e8adcd9c2532af215bd87ed5d925e376cf8d965725e4f5cf4c7ea

diff --git a/net-firewall/psad/psad-2.4.3.ebuild b/net-firewall/psad/psad-2.4.3.ebuild
new file mode 100644
index 0000000..dcf0bcd
--- /dev/null
+++ b/net-firewall/psad/psad-2.4.3.ebuild
@@ -0,0 +1,91 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+#PERL_EXPORT_PHASE_FUNCTIONS=no
+inherit eutils perl-module toolchain-funcs
+
+DESCRIPTION="Port Scanning Attack Detection daemon"
+SRC_URI="http://www.cipherdyne.org/psad/download/${P}.tar.bz2"
+HOMEPAGE="http://www.cipherdyne.org/psad"
+
+SLOT="0"
+LICENSE="GPL-2"
+KEYWORDS="~alpha ~amd64 ~ppc ~sparc ~x86"
+
+DEPEND="virtual/perl-ExtUtils-MakeMaker"
+RDEPEND="
+	dev-perl/Bit-Vector
+	dev-perl/Date-Calc
+	dev-perl/NetAddr-IP
+	dev-perl/Unix-Syslog
+	net-firewall/iptables
+	net-misc/whois
+	virtual/logger
+	virtual/mailx
+	virtual/perl-Storable
+"
+
+src_prepare() {
+	epatch "${FILESDIR}"/${PN}-2.2.4-var-run.patch
+
+	sed -i \
+		-e 's|/usr/bin/gcc|$(CC)|g' \
+		-e 's|-O|$(CFLAGS) $(LDFLAGS)|g' \
+		Makefile || die
+	# Fix up default paths
+	sed -i \
+		-e "s:/usr/bin/whois_psad:/usr/bin/whois:g" \
+		psad.conf || die
+}
+
+src_configure() {
+	default
+
+	local deps_subdir
+	for deps_subdir in IPTables-Parse IPTables-ChainMgr; do
+		cd "${S}"/deps/${deps_subdir} || die
+		SRC_PREP="no" perl-module_src_configure
+	done
+}
+
+src_compile() {
+	tc-export CC
+	default
+
+	local deps_subdir
+	for deps_subdir in IPTables-Parse IPTables-ChainMgr; do
+		cd "${S}"/deps/${deps_subdir} || die
+		perl-module_src_compile
+	done
+}
+
+src_install() {
+	newbin pscan psad-pscan
+
+	insinto /usr
+	dosbin kmsgsd psad psadwatchd
+	newsbin fwcheck_psad.pl fwcheck_psad
+
+	insinto /etc/psad
+	doins \
+		*.conf auto_dl icmp{,6}_types ip_options psad_* pf.os posf \
+		protocols signatures
+
+	newinitd init-scripts/psad-init.gentoo psad
+
+	doman *.8
+
+	dodoc BENCHMARK CREDITS Change* FW_EXAMPLE_RULES FW_HELP README \
+		README.SYSLOG SCAN_LOG
+
+	insinto /etc/psad/snort_rules
+	doins deps/snort_rules/*
+
+	local deps_subdir
+	for deps_subdir in IPTables-Parse IPTables-ChainMgr; do
+		cd "${S}"/deps/${deps_subdir} || die
+		perl-module_src_install
+	done
+}


^ permalink raw reply related	[flat|nested] 14+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: net-firewall/psad/
@ 2017-02-21  5:10 Jeroen Roovers
  0 siblings, 0 replies; 14+ messages in thread
From: Jeroen Roovers @ 2017-02-21  5:10 UTC (permalink / raw
  To: gentoo-commits

commit:     744ed014b116ad25a2b8e8d1fa2a8a4ccdf992d5
Author:     Jeroen Roovers <jer <AT> gentoo <DOT> org>
AuthorDate: Tue Feb 21 05:09:16 2017 +0000
Commit:     Jeroen Roovers <jer <AT> gentoo <DOT> org>
CommitDate: Tue Feb 21 05:09:16 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=744ed014

net-firewall/psad: Old.

Package-Manager: Portage-2.3.3, Repoman-2.3.1

 net-firewall/psad/Manifest          |  2 -
 net-firewall/psad/psad-2.4.1.ebuild | 91 -------------------------------------
 net-firewall/psad/psad-2.4.2.ebuild | 91 -------------------------------------
 3 files changed, 184 deletions(-)

diff --git a/net-firewall/psad/Manifest b/net-firewall/psad/Manifest
index 9b4e024fe0..6757081ca7 100644
--- a/net-firewall/psad/Manifest
+++ b/net-firewall/psad/Manifest
@@ -1,5 +1,3 @@
 DIST psad-2.2.5.tar.bz2 1243987 SHA256 736d446266227cb65511d792c85224573c95ea4dc3bde3d5c65bc19084f57452 SHA512 195a06420cf821d182a5422705ba2d407fd35f23887430e61925cad0eada7d20e2416eaf6317857a5aec2f1264a280a7e0128cc301f17dcf20cf833a9f0efb6e WHIRLPOOL fac4797e0a399d4f5edf2179c21d37791d184ee1e334b9b8fb2707405afc10ca0c0d4ab43cd274f34cf8ba9453189066b1d46b955d0533fa357e376ef3817f1f
-DIST psad-2.4.1.tar.bz2 1361593 SHA256 d86688ed7907724750b501087a92a3417cb5b2dc81e06230d0eb2cdcf676b03e SHA512 e146d9853e265f4bb25b79fff7a0ab6ba2759367890498ea25edaff771df1b30c3a284b18e6fe5ae3f4c91a79f6b8d255bf331921c36a24fb0f4f554fa3cb848 WHIRLPOOL 5ac2b96fd8ec4baa98a0b35465e5c8bbfb3dffd48f2a95e31ef80e176d80e7ed09a5bcf6d945e8bed3d69d9cb21b14857dc56fd24bc5ce01ef9540729fd585d4
-DIST psad-2.4.2.tar.bz2 1396459 SHA256 0490688c2d09428ee3b0f20a8aebaceb5993484c5e30176f883bea37272c9715 SHA512 1a28bec3eafcbc9a480680598724b7c99c1aaad2560ec44d00b002208d737b771017c3bbeb73ece10199740d1c9094b11036f8d04cb5b8c6f3860f2e0c0221ab WHIRLPOOL 17401c1ad846759f181f2f5d0619412f198aff5dd54fa8841a02757322ada67a9f6ae651b3b1cdbc4dbfbe2ed0570e56a74bb235794b24b0a187583383a94b0b
 DIST psad-2.4.3.tar.bz2 1395260 SHA256 e482de4602ab72dba868dcdd1078ad3645d49ab02a9eb116dd117c1a5a20f8c5 SHA512 8a25ef377e3f4f406c2179a42217110a670f1c0eb8e7991e32a99fd695ca1866218274e9aaeb48552e1bd9bd91b5fbf34b226d767c28f1db27f15b08fba2b0e8 WHIRLPOOL a1c06df2cd67baa3e2b519094ffcccd027aab47352c00cd3147a8d3db2366ce8cbea42c37f5e8adcd9c2532af215bd87ed5d925e376cf8d965725e4f5cf4c7ea
 DIST psad-2.4.4.tar.bz2 1429113 SHA256 4a8dad05554f779c359fb1091b07b37219dd4321d85e162a5885a11efaec1901 SHA512 0437a489fcb54458dbb33e0139385e577a89db0c07bd872e4e56780feb8033080d59c99aeff419f3c94b22be8fb41995674749123d15f7d578cc8b0a77d7783f WHIRLPOOL 5ab47d1b23659058ed17f484d7b5aa2c2dad5412f06dfde2fc0032ae50c2d25e9ab9a05bcad29547dd9dc69b0268ec7601917d60d4178bf8032f661aa7ef742c

diff --git a/net-firewall/psad/psad-2.4.1.ebuild b/net-firewall/psad/psad-2.4.1.ebuild
deleted file mode 100644
index dcf0bcd109..0000000000
--- a/net-firewall/psad/psad-2.4.1.ebuild
+++ /dev/null
@@ -1,91 +0,0 @@
-# Copyright 1999-2015 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Id$
-
-EAPI=5
-#PERL_EXPORT_PHASE_FUNCTIONS=no
-inherit eutils perl-module toolchain-funcs
-
-DESCRIPTION="Port Scanning Attack Detection daemon"
-SRC_URI="http://www.cipherdyne.org/psad/download/${P}.tar.bz2"
-HOMEPAGE="http://www.cipherdyne.org/psad"
-
-SLOT="0"
-LICENSE="GPL-2"
-KEYWORDS="~alpha ~amd64 ~ppc ~sparc ~x86"
-
-DEPEND="virtual/perl-ExtUtils-MakeMaker"
-RDEPEND="
-	dev-perl/Bit-Vector
-	dev-perl/Date-Calc
-	dev-perl/NetAddr-IP
-	dev-perl/Unix-Syslog
-	net-firewall/iptables
-	net-misc/whois
-	virtual/logger
-	virtual/mailx
-	virtual/perl-Storable
-"
-
-src_prepare() {
-	epatch "${FILESDIR}"/${PN}-2.2.4-var-run.patch
-
-	sed -i \
-		-e 's|/usr/bin/gcc|$(CC)|g' \
-		-e 's|-O|$(CFLAGS) $(LDFLAGS)|g' \
-		Makefile || die
-	# Fix up default paths
-	sed -i \
-		-e "s:/usr/bin/whois_psad:/usr/bin/whois:g" \
-		psad.conf || die
-}
-
-src_configure() {
-	default
-
-	local deps_subdir
-	for deps_subdir in IPTables-Parse IPTables-ChainMgr; do
-		cd "${S}"/deps/${deps_subdir} || die
-		SRC_PREP="no" perl-module_src_configure
-	done
-}
-
-src_compile() {
-	tc-export CC
-	default
-
-	local deps_subdir
-	for deps_subdir in IPTables-Parse IPTables-ChainMgr; do
-		cd "${S}"/deps/${deps_subdir} || die
-		perl-module_src_compile
-	done
-}
-
-src_install() {
-	newbin pscan psad-pscan
-
-	insinto /usr
-	dosbin kmsgsd psad psadwatchd
-	newsbin fwcheck_psad.pl fwcheck_psad
-
-	insinto /etc/psad
-	doins \
-		*.conf auto_dl icmp{,6}_types ip_options psad_* pf.os posf \
-		protocols signatures
-
-	newinitd init-scripts/psad-init.gentoo psad
-
-	doman *.8
-
-	dodoc BENCHMARK CREDITS Change* FW_EXAMPLE_RULES FW_HELP README \
-		README.SYSLOG SCAN_LOG
-
-	insinto /etc/psad/snort_rules
-	doins deps/snort_rules/*
-
-	local deps_subdir
-	for deps_subdir in IPTables-Parse IPTables-ChainMgr; do
-		cd "${S}"/deps/${deps_subdir} || die
-		perl-module_src_install
-	done
-}

diff --git a/net-firewall/psad/psad-2.4.2.ebuild b/net-firewall/psad/psad-2.4.2.ebuild
deleted file mode 100644
index dcf0bcd109..0000000000
--- a/net-firewall/psad/psad-2.4.2.ebuild
+++ /dev/null
@@ -1,91 +0,0 @@
-# Copyright 1999-2015 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Id$
-
-EAPI=5
-#PERL_EXPORT_PHASE_FUNCTIONS=no
-inherit eutils perl-module toolchain-funcs
-
-DESCRIPTION="Port Scanning Attack Detection daemon"
-SRC_URI="http://www.cipherdyne.org/psad/download/${P}.tar.bz2"
-HOMEPAGE="http://www.cipherdyne.org/psad"
-
-SLOT="0"
-LICENSE="GPL-2"
-KEYWORDS="~alpha ~amd64 ~ppc ~sparc ~x86"
-
-DEPEND="virtual/perl-ExtUtils-MakeMaker"
-RDEPEND="
-	dev-perl/Bit-Vector
-	dev-perl/Date-Calc
-	dev-perl/NetAddr-IP
-	dev-perl/Unix-Syslog
-	net-firewall/iptables
-	net-misc/whois
-	virtual/logger
-	virtual/mailx
-	virtual/perl-Storable
-"
-
-src_prepare() {
-	epatch "${FILESDIR}"/${PN}-2.2.4-var-run.patch
-
-	sed -i \
-		-e 's|/usr/bin/gcc|$(CC)|g' \
-		-e 's|-O|$(CFLAGS) $(LDFLAGS)|g' \
-		Makefile || die
-	# Fix up default paths
-	sed -i \
-		-e "s:/usr/bin/whois_psad:/usr/bin/whois:g" \
-		psad.conf || die
-}
-
-src_configure() {
-	default
-
-	local deps_subdir
-	for deps_subdir in IPTables-Parse IPTables-ChainMgr; do
-		cd "${S}"/deps/${deps_subdir} || die
-		SRC_PREP="no" perl-module_src_configure
-	done
-}
-
-src_compile() {
-	tc-export CC
-	default
-
-	local deps_subdir
-	for deps_subdir in IPTables-Parse IPTables-ChainMgr; do
-		cd "${S}"/deps/${deps_subdir} || die
-		perl-module_src_compile
-	done
-}
-
-src_install() {
-	newbin pscan psad-pscan
-
-	insinto /usr
-	dosbin kmsgsd psad psadwatchd
-	newsbin fwcheck_psad.pl fwcheck_psad
-
-	insinto /etc/psad
-	doins \
-		*.conf auto_dl icmp{,6}_types ip_options psad_* pf.os posf \
-		protocols signatures
-
-	newinitd init-scripts/psad-init.gentoo psad
-
-	doman *.8
-
-	dodoc BENCHMARK CREDITS Change* FW_EXAMPLE_RULES FW_HELP README \
-		README.SYSLOG SCAN_LOG
-
-	insinto /etc/psad/snort_rules
-	doins deps/snort_rules/*
-
-	local deps_subdir
-	for deps_subdir in IPTables-Parse IPTables-ChainMgr; do
-		cd "${S}"/deps/${deps_subdir} || die
-		perl-module_src_install
-	done
-}


^ permalink raw reply related	[flat|nested] 14+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: net-firewall/psad/
@ 2017-06-20 11:58 Jeroen Roovers
  0 siblings, 0 replies; 14+ messages in thread
From: Jeroen Roovers @ 2017-06-20 11:58 UTC (permalink / raw
  To: gentoo-commits

commit:     6140fa2a38291aae25ddf798fb32e824110d9d25
Author:     Jeroen Roovers <jer <AT> gentoo <DOT> org>
AuthorDate: Tue Jun 20 11:57:46 2017 +0000
Commit:     Jeroen Roovers <jer <AT> gentoo <DOT> org>
CommitDate: Tue Jun 20 11:57:46 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6140fa2a

net-firewall/psad: Version bump.

Package-Manager: Portage-2.3.6, Repoman-2.3.2

 net-firewall/psad/Manifest          |  1 +
 net-firewall/psad/psad-2.4.5.ebuild | 93 +++++++++++++++++++++++++++++++++++++
 2 files changed, 94 insertions(+)

diff --git a/net-firewall/psad/Manifest b/net-firewall/psad/Manifest
index 6757081ca7d..61a04f9e7ef 100644
--- a/net-firewall/psad/Manifest
+++ b/net-firewall/psad/Manifest
@@ -1,3 +1,4 @@
 DIST psad-2.2.5.tar.bz2 1243987 SHA256 736d446266227cb65511d792c85224573c95ea4dc3bde3d5c65bc19084f57452 SHA512 195a06420cf821d182a5422705ba2d407fd35f23887430e61925cad0eada7d20e2416eaf6317857a5aec2f1264a280a7e0128cc301f17dcf20cf833a9f0efb6e WHIRLPOOL fac4797e0a399d4f5edf2179c21d37791d184ee1e334b9b8fb2707405afc10ca0c0d4ab43cd274f34cf8ba9453189066b1d46b955d0533fa357e376ef3817f1f
 DIST psad-2.4.3.tar.bz2 1395260 SHA256 e482de4602ab72dba868dcdd1078ad3645d49ab02a9eb116dd117c1a5a20f8c5 SHA512 8a25ef377e3f4f406c2179a42217110a670f1c0eb8e7991e32a99fd695ca1866218274e9aaeb48552e1bd9bd91b5fbf34b226d767c28f1db27f15b08fba2b0e8 WHIRLPOOL a1c06df2cd67baa3e2b519094ffcccd027aab47352c00cd3147a8d3db2366ce8cbea42c37f5e8adcd9c2532af215bd87ed5d925e376cf8d965725e4f5cf4c7ea
 DIST psad-2.4.4.tar.bz2 1429113 SHA256 4a8dad05554f779c359fb1091b07b37219dd4321d85e162a5885a11efaec1901 SHA512 0437a489fcb54458dbb33e0139385e577a89db0c07bd872e4e56780feb8033080d59c99aeff419f3c94b22be8fb41995674749123d15f7d578cc8b0a77d7783f WHIRLPOOL 5ab47d1b23659058ed17f484d7b5aa2c2dad5412f06dfde2fc0032ae50c2d25e9ab9a05bcad29547dd9dc69b0268ec7601917d60d4178bf8032f661aa7ef742c
+DIST psad-2.4.5.tar.bz2 1631602 SHA256 2de1115325bd7c95d32ce0bdee5028c43a86c2893203b5fc1ba6bdfe8ba182d1 SHA512 6466cf3191092672557fb6c044c6126290f1d89aea37a20aad1b3eb148b5b8be5bc2cf3700938b91263d7403f776613f304bd491c24a7e16b0975b81f24481a0 WHIRLPOOL 87bbd23cf4419e6a85cbb4fdb7a08dfe3e1aeb10c1542766d4b708a837182dea2859d5db982f2d91a67331b80c2e6728391917964f6dd555b70c3a38f7e7d607

diff --git a/net-firewall/psad/psad-2.4.5.ebuild b/net-firewall/psad/psad-2.4.5.ebuild
new file mode 100644
index 00000000000..fa26cc018d8
--- /dev/null
+++ b/net-firewall/psad/psad-2.4.5.ebuild
@@ -0,0 +1,93 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+#PERL_EXPORT_PHASE_FUNCTIONS=no
+inherit perl-module toolchain-funcs
+
+DESCRIPTION="Port Scanning Attack Detection daemon"
+SRC_URI="http://www.cipherdyne.org/psad/download/${P}.tar.bz2"
+HOMEPAGE="http://www.cipherdyne.org/psad"
+
+SLOT="0"
+LICENSE="GPL-2"
+KEYWORDS="~alpha ~amd64 ~ppc ~sparc ~x86"
+
+DEPEND="virtual/perl-ExtUtils-MakeMaker"
+RDEPEND="
+	dev-perl/Bit-Vector
+	dev-perl/Date-Calc
+	dev-perl/NetAddr-IP
+	dev-perl/Unix-Syslog
+	net-firewall/iptables
+	net-misc/whois
+	virtual/logger
+	virtual/mailx
+	virtual/perl-Storable
+"
+PATCHES=(
+	"${FILESDIR}"/${PN}-2.2.4-var-run.patch
+)
+
+src_prepare() {
+	default
+
+	sed -i \
+		-e 's|/usr/bin/gcc|$(CC)|g' \
+		-e 's|-O|$(CFLAGS) $(LDFLAGS)|g' \
+		Makefile || die
+	# Fix up default paths
+	sed -i \
+		-e "s:/usr/bin/whois_psad:/usr/bin/whois:g" \
+		psad.conf || die
+}
+
+src_configure() {
+	default
+
+	local deps_subdir
+	for deps_subdir in IPTables-Parse IPTables-ChainMgr; do
+		cd "${S}"/deps/${deps_subdir} || die
+		SRC_PREP="no" perl-module_src_configure
+	done
+}
+
+src_compile() {
+	tc-export CC
+	default
+
+	local deps_subdir
+	for deps_subdir in IPTables-Parse IPTables-ChainMgr; do
+		cd "${S}"/deps/${deps_subdir} || die
+		perl-module_src_compile
+	done
+}
+
+src_install() {
+	newbin misc/pscan psad-pscan
+
+	insinto /usr
+	dosbin kmsgsd psad psadwatchd
+	newsbin fwcheck_psad.pl fwcheck_psad
+
+	insinto /etc/psad
+	doins \
+		*.conf auto_dl icmp{,6}_types ip_options psad_* pf.os posf \
+		protocols signatures
+
+	newinitd init-scripts/psad-init.gentoo psad
+
+	doman doc/*.8
+
+	dodoc doc/BENCHMARK CREDITS Change* doc/FW_EXAMPLE_RULES README \
+		doc/README.SYSLOG doc/SCAN_LOG
+
+	insinto /etc/psad/snort_rules
+	doins deps/snort_rules/*
+
+	local deps_subdir
+	for deps_subdir in IPTables-Parse IPTables-ChainMgr; do
+		cd "${S}"/deps/${deps_subdir} || die
+		perl-module_src_install
+	done
+}


^ permalink raw reply related	[flat|nested] 14+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: net-firewall/psad/
@ 2018-05-06 14:16 Aaron Bauman
  0 siblings, 0 replies; 14+ messages in thread
From: Aaron Bauman @ 2018-05-06 14:16 UTC (permalink / raw
  To: gentoo-commits

commit:     2eb55f326c198bc61fd09a6a16a7b98bf97d20c0
Author:     Michael Mair-Keimberger <m.mairkeimberger <AT> gmail <DOT> com>
AuthorDate: Sun May  6 09:59:51 2018 +0000
Commit:     Aaron Bauman <bman <AT> gentoo <DOT> org>
CommitDate: Sun May  6 14:13:45 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2eb55f32

net-firewall/psad: use HTTPS

 net-firewall/psad/psad-2.2.5.ebuild | 6 +++---
 net-firewall/psad/psad-2.4.3.ebuild | 6 +++---
 net-firewall/psad/psad-2.4.4.ebuild | 6 +++---
 net-firewall/psad/psad-2.4.5.ebuild | 6 +++---
 4 files changed, 12 insertions(+), 12 deletions(-)

diff --git a/net-firewall/psad/psad-2.2.5.ebuild b/net-firewall/psad/psad-2.2.5.ebuild
index f45bb3101a3..e032dfdfdeb 100644
--- a/net-firewall/psad/psad-2.2.5.ebuild
+++ b/net-firewall/psad/psad-2.2.5.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2015 Gentoo Foundation
+# Copyright 1999-2018 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=5
@@ -6,8 +6,8 @@ EAPI=5
 inherit eutils perl-module toolchain-funcs
 
 DESCRIPTION="Port Scanning Attack Detection daemon"
-SRC_URI="http://www.cipherdyne.org/psad/download/${P}.tar.bz2"
-HOMEPAGE="http://www.cipherdyne.org/psad"
+SRC_URI="https://www.cipherdyne.org/psad/download/${P}.tar.bz2"
+HOMEPAGE="https://www.cipherdyne.org/psad/"
 
 SLOT="0"
 LICENSE="GPL-2"

diff --git a/net-firewall/psad/psad-2.4.3.ebuild b/net-firewall/psad/psad-2.4.3.ebuild
index 79b1d6323a8..545abd2d37d 100644
--- a/net-firewall/psad/psad-2.4.3.ebuild
+++ b/net-firewall/psad/psad-2.4.3.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2015 Gentoo Foundation
+# Copyright 1999-2018 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=5
@@ -6,8 +6,8 @@ EAPI=5
 inherit eutils perl-module toolchain-funcs
 
 DESCRIPTION="Port Scanning Attack Detection daemon"
-SRC_URI="http://www.cipherdyne.org/psad/download/${P}.tar.bz2"
-HOMEPAGE="http://www.cipherdyne.org/psad"
+SRC_URI="https://www.cipherdyne.org/psad/download/${P}.tar.bz2"
+HOMEPAGE="https://www.cipherdyne.org/psad/"
 
 SLOT="0"
 LICENSE="GPL-2"

diff --git a/net-firewall/psad/psad-2.4.4.ebuild b/net-firewall/psad/psad-2.4.4.ebuild
index 7470cc6b3cd..2d76d8efc46 100644
--- a/net-firewall/psad/psad-2.4.4.ebuild
+++ b/net-firewall/psad/psad-2.4.4.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2017 Gentoo Foundation
+# Copyright 1999-2018 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=6
@@ -6,8 +6,8 @@ EAPI=6
 inherit perl-module toolchain-funcs
 
 DESCRIPTION="Port Scanning Attack Detection daemon"
-SRC_URI="http://www.cipherdyne.org/psad/download/${P}.tar.bz2"
-HOMEPAGE="http://www.cipherdyne.org/psad"
+SRC_URI="https://www.cipherdyne.org/psad/download/${P}.tar.bz2"
+HOMEPAGE="https://www.cipherdyne.org/psad/"
 
 SLOT="0"
 LICENSE="GPL-2"

diff --git a/net-firewall/psad/psad-2.4.5.ebuild b/net-firewall/psad/psad-2.4.5.ebuild
index fa26cc018d8..f4eea7be20f 100644
--- a/net-firewall/psad/psad-2.4.5.ebuild
+++ b/net-firewall/psad/psad-2.4.5.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2017 Gentoo Foundation
+# Copyright 1999-2018 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=6
@@ -6,8 +6,8 @@ EAPI=6
 inherit perl-module toolchain-funcs
 
 DESCRIPTION="Port Scanning Attack Detection daemon"
-SRC_URI="http://www.cipherdyne.org/psad/download/${P}.tar.bz2"
-HOMEPAGE="http://www.cipherdyne.org/psad"
+SRC_URI="https://www.cipherdyne.org/psad/download/${P}.tar.bz2"
+HOMEPAGE="https://www.cipherdyne.org/psad/"
 
 SLOT="0"
 LICENSE="GPL-2"


^ permalink raw reply related	[flat|nested] 14+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: net-firewall/psad/
@ 2018-08-07  7:25 Jeroen Roovers
  0 siblings, 0 replies; 14+ messages in thread
From: Jeroen Roovers @ 2018-08-07  7:25 UTC (permalink / raw
  To: gentoo-commits

commit:     164be846fbd618f85f363437f7a5b48d0389fbdb
Author:     Jeroen Roovers <jer <AT> gentoo <DOT> org>
AuthorDate: Tue Aug  7 07:06:51 2018 +0000
Commit:     Jeroen Roovers <jer <AT> gentoo <DOT> org>
CommitDate: Tue Aug  7 07:25:11 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=164be846

net-firewall/psad: Version 2.4.6.

Package-Manager: Portage-2.3.44, Repoman-2.3.10

 net-firewall/psad/Manifest          |  1 +
 net-firewall/psad/psad-2.4.6.ebuild | 93 +++++++++++++++++++++++++++++++++++++
 2 files changed, 94 insertions(+)

diff --git a/net-firewall/psad/Manifest b/net-firewall/psad/Manifest
index 91418476e3b..7b76497a3da 100644
--- a/net-firewall/psad/Manifest
+++ b/net-firewall/psad/Manifest
@@ -2,3 +2,4 @@ DIST psad-2.2.5.tar.bz2 1243987 BLAKE2B f6b3a86a841b2685a21c4f46cab8cbb720a79556
 DIST psad-2.4.3.tar.bz2 1395260 BLAKE2B ec48705c90fb9acf7f6f534c103ce83fb39933f6431539be50873b26dd51bf49eee709261c0c036136bf08c6820e7344315b6162664e54b455d380b1987efebf SHA512 8a25ef377e3f4f406c2179a42217110a670f1c0eb8e7991e32a99fd695ca1866218274e9aaeb48552e1bd9bd91b5fbf34b226d767c28f1db27f15b08fba2b0e8
 DIST psad-2.4.4.tar.bz2 1429113 BLAKE2B 3eed68eb1752051f4cab8320c168b9a66e3aebdbcef41a78990202e05ff4a317714f345baf3c5998975b6c8db2ca95d2b354ce4ebaea50feb9749701ae6af046 SHA512 0437a489fcb54458dbb33e0139385e577a89db0c07bd872e4e56780feb8033080d59c99aeff419f3c94b22be8fb41995674749123d15f7d578cc8b0a77d7783f
 DIST psad-2.4.5.tar.bz2 1631602 BLAKE2B 83d5a6811743e56e86984e79f0176db7982243cefcbdef7bdc30300de6a3e2c1d5033e75ec5b7e68e89784b04c98a0ed6b9475a93f4e633ad96380facaf08c21 SHA512 6466cf3191092672557fb6c044c6126290f1d89aea37a20aad1b3eb148b5b8be5bc2cf3700938b91263d7403f776613f304bd491c24a7e16b0975b81f24481a0
+DIST psad-2.4.6.tar.bz2 2548405 BLAKE2B 7479ce4496343ca988da4dbe82190053385f1a8fa2e190002545c63f2e36283bc84293d932ebe147c9078923fa9e0527b4265fffdb8e1fd99bfc5d9955f9f3cd SHA512 a5de29b9ca0108aa8c6a325b725145f408dc517aeee4654596c7a037762f495a78827c64fc2e9c4284bc8db65caf0321982ecaf02de6d73784c2038e1078f42d

diff --git a/net-firewall/psad/psad-2.4.6.ebuild b/net-firewall/psad/psad-2.4.6.ebuild
new file mode 100644
index 00000000000..f4eea7be20f
--- /dev/null
+++ b/net-firewall/psad/psad-2.4.6.ebuild
@@ -0,0 +1,93 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+#PERL_EXPORT_PHASE_FUNCTIONS=no
+inherit perl-module toolchain-funcs
+
+DESCRIPTION="Port Scanning Attack Detection daemon"
+SRC_URI="https://www.cipherdyne.org/psad/download/${P}.tar.bz2"
+HOMEPAGE="https://www.cipherdyne.org/psad/"
+
+SLOT="0"
+LICENSE="GPL-2"
+KEYWORDS="~alpha ~amd64 ~ppc ~sparc ~x86"
+
+DEPEND="virtual/perl-ExtUtils-MakeMaker"
+RDEPEND="
+	dev-perl/Bit-Vector
+	dev-perl/Date-Calc
+	dev-perl/NetAddr-IP
+	dev-perl/Unix-Syslog
+	net-firewall/iptables
+	net-misc/whois
+	virtual/logger
+	virtual/mailx
+	virtual/perl-Storable
+"
+PATCHES=(
+	"${FILESDIR}"/${PN}-2.2.4-var-run.patch
+)
+
+src_prepare() {
+	default
+
+	sed -i \
+		-e 's|/usr/bin/gcc|$(CC)|g' \
+		-e 's|-O|$(CFLAGS) $(LDFLAGS)|g' \
+		Makefile || die
+	# Fix up default paths
+	sed -i \
+		-e "s:/usr/bin/whois_psad:/usr/bin/whois:g" \
+		psad.conf || die
+}
+
+src_configure() {
+	default
+
+	local deps_subdir
+	for deps_subdir in IPTables-Parse IPTables-ChainMgr; do
+		cd "${S}"/deps/${deps_subdir} || die
+		SRC_PREP="no" perl-module_src_configure
+	done
+}
+
+src_compile() {
+	tc-export CC
+	default
+
+	local deps_subdir
+	for deps_subdir in IPTables-Parse IPTables-ChainMgr; do
+		cd "${S}"/deps/${deps_subdir} || die
+		perl-module_src_compile
+	done
+}
+
+src_install() {
+	newbin misc/pscan psad-pscan
+
+	insinto /usr
+	dosbin kmsgsd psad psadwatchd
+	newsbin fwcheck_psad.pl fwcheck_psad
+
+	insinto /etc/psad
+	doins \
+		*.conf auto_dl icmp{,6}_types ip_options psad_* pf.os posf \
+		protocols signatures
+
+	newinitd init-scripts/psad-init.gentoo psad
+
+	doman doc/*.8
+
+	dodoc doc/BENCHMARK CREDITS Change* doc/FW_EXAMPLE_RULES README \
+		doc/README.SYSLOG doc/SCAN_LOG
+
+	insinto /etc/psad/snort_rules
+	doins deps/snort_rules/*
+
+	local deps_subdir
+	for deps_subdir in IPTables-Parse IPTables-ChainMgr; do
+		cd "${S}"/deps/${deps_subdir} || die
+		perl-module_src_install
+	done
+}


^ permalink raw reply related	[flat|nested] 14+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: net-firewall/psad/
@ 2018-08-07  7:25 Jeroen Roovers
  0 siblings, 0 replies; 14+ messages in thread
From: Jeroen Roovers @ 2018-08-07  7:25 UTC (permalink / raw
  To: gentoo-commits

commit:     eee8cd8932de47e2c5bd493b042939daa0d00e47
Author:     Jeroen Roovers <jer <AT> gentoo <DOT> org>
AuthorDate: Tue Aug  7 07:07:46 2018 +0000
Commit:     Jeroen Roovers <jer <AT> gentoo <DOT> org>
CommitDate: Tue Aug  7 07:25:13 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=eee8cd89

net-firewall/psad: Old.

Package-Manager: Portage-2.3.44, Repoman-2.3.10

 net-firewall/psad/Manifest          |  2 -
 net-firewall/psad/psad-2.4.3.ebuild | 90 -----------------------------------
 net-firewall/psad/psad-2.4.4.ebuild | 93 -------------------------------------
 3 files changed, 185 deletions(-)

diff --git a/net-firewall/psad/Manifest b/net-firewall/psad/Manifest
index 7b76497a3da..7efe76b61e5 100644
--- a/net-firewall/psad/Manifest
+++ b/net-firewall/psad/Manifest
@@ -1,5 +1,3 @@
 DIST psad-2.2.5.tar.bz2 1243987 BLAKE2B f6b3a86a841b2685a21c4f46cab8cbb720a7955644f28cd0931f0a620aed4a743213a9f276a98b637cd5b13f93565dee22876042e43a0233cb989021fff9b813 SHA512 195a06420cf821d182a5422705ba2d407fd35f23887430e61925cad0eada7d20e2416eaf6317857a5aec2f1264a280a7e0128cc301f17dcf20cf833a9f0efb6e
-DIST psad-2.4.3.tar.bz2 1395260 BLAKE2B ec48705c90fb9acf7f6f534c103ce83fb39933f6431539be50873b26dd51bf49eee709261c0c036136bf08c6820e7344315b6162664e54b455d380b1987efebf SHA512 8a25ef377e3f4f406c2179a42217110a670f1c0eb8e7991e32a99fd695ca1866218274e9aaeb48552e1bd9bd91b5fbf34b226d767c28f1db27f15b08fba2b0e8
-DIST psad-2.4.4.tar.bz2 1429113 BLAKE2B 3eed68eb1752051f4cab8320c168b9a66e3aebdbcef41a78990202e05ff4a317714f345baf3c5998975b6c8db2ca95d2b354ce4ebaea50feb9749701ae6af046 SHA512 0437a489fcb54458dbb33e0139385e577a89db0c07bd872e4e56780feb8033080d59c99aeff419f3c94b22be8fb41995674749123d15f7d578cc8b0a77d7783f
 DIST psad-2.4.5.tar.bz2 1631602 BLAKE2B 83d5a6811743e56e86984e79f0176db7982243cefcbdef7bdc30300de6a3e2c1d5033e75ec5b7e68e89784b04c98a0ed6b9475a93f4e633ad96380facaf08c21 SHA512 6466cf3191092672557fb6c044c6126290f1d89aea37a20aad1b3eb148b5b8be5bc2cf3700938b91263d7403f776613f304bd491c24a7e16b0975b81f24481a0
 DIST psad-2.4.6.tar.bz2 2548405 BLAKE2B 7479ce4496343ca988da4dbe82190053385f1a8fa2e190002545c63f2e36283bc84293d932ebe147c9078923fa9e0527b4265fffdb8e1fd99bfc5d9955f9f3cd SHA512 a5de29b9ca0108aa8c6a325b725145f408dc517aeee4654596c7a037762f495a78827c64fc2e9c4284bc8db65caf0321982ecaf02de6d73784c2038e1078f42d

diff --git a/net-firewall/psad/psad-2.4.3.ebuild b/net-firewall/psad/psad-2.4.3.ebuild
deleted file mode 100644
index 545abd2d37d..00000000000
--- a/net-firewall/psad/psad-2.4.3.ebuild
+++ /dev/null
@@ -1,90 +0,0 @@
-# Copyright 1999-2018 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=5
-#PERL_EXPORT_PHASE_FUNCTIONS=no
-inherit eutils perl-module toolchain-funcs
-
-DESCRIPTION="Port Scanning Attack Detection daemon"
-SRC_URI="https://www.cipherdyne.org/psad/download/${P}.tar.bz2"
-HOMEPAGE="https://www.cipherdyne.org/psad/"
-
-SLOT="0"
-LICENSE="GPL-2"
-KEYWORDS="~alpha ~amd64 ~ppc ~sparc ~x86"
-
-DEPEND="virtual/perl-ExtUtils-MakeMaker"
-RDEPEND="
-	dev-perl/Bit-Vector
-	dev-perl/Date-Calc
-	dev-perl/NetAddr-IP
-	dev-perl/Unix-Syslog
-	net-firewall/iptables
-	net-misc/whois
-	virtual/logger
-	virtual/mailx
-	virtual/perl-Storable
-"
-
-src_prepare() {
-	epatch "${FILESDIR}"/${PN}-2.2.4-var-run.patch
-
-	sed -i \
-		-e 's|/usr/bin/gcc|$(CC)|g' \
-		-e 's|-O|$(CFLAGS) $(LDFLAGS)|g' \
-		Makefile || die
-	# Fix up default paths
-	sed -i \
-		-e "s:/usr/bin/whois_psad:/usr/bin/whois:g" \
-		psad.conf || die
-}
-
-src_configure() {
-	default
-
-	local deps_subdir
-	for deps_subdir in IPTables-Parse IPTables-ChainMgr; do
-		cd "${S}"/deps/${deps_subdir} || die
-		SRC_PREP="no" perl-module_src_configure
-	done
-}
-
-src_compile() {
-	tc-export CC
-	default
-
-	local deps_subdir
-	for deps_subdir in IPTables-Parse IPTables-ChainMgr; do
-		cd "${S}"/deps/${deps_subdir} || die
-		perl-module_src_compile
-	done
-}
-
-src_install() {
-	newbin pscan psad-pscan
-
-	insinto /usr
-	dosbin kmsgsd psad psadwatchd
-	newsbin fwcheck_psad.pl fwcheck_psad
-
-	insinto /etc/psad
-	doins \
-		*.conf auto_dl icmp{,6}_types ip_options psad_* pf.os posf \
-		protocols signatures
-
-	newinitd init-scripts/psad-init.gentoo psad
-
-	doman *.8
-
-	dodoc BENCHMARK CREDITS Change* FW_EXAMPLE_RULES FW_HELP README \
-		README.SYSLOG SCAN_LOG
-
-	insinto /etc/psad/snort_rules
-	doins deps/snort_rules/*
-
-	local deps_subdir
-	for deps_subdir in IPTables-Parse IPTables-ChainMgr; do
-		cd "${S}"/deps/${deps_subdir} || die
-		perl-module_src_install
-	done
-}

diff --git a/net-firewall/psad/psad-2.4.4.ebuild b/net-firewall/psad/psad-2.4.4.ebuild
deleted file mode 100644
index 2d76d8efc46..00000000000
--- a/net-firewall/psad/psad-2.4.4.ebuild
+++ /dev/null
@@ -1,93 +0,0 @@
-# Copyright 1999-2018 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-#PERL_EXPORT_PHASE_FUNCTIONS=no
-inherit perl-module toolchain-funcs
-
-DESCRIPTION="Port Scanning Attack Detection daemon"
-SRC_URI="https://www.cipherdyne.org/psad/download/${P}.tar.bz2"
-HOMEPAGE="https://www.cipherdyne.org/psad/"
-
-SLOT="0"
-LICENSE="GPL-2"
-KEYWORDS="~alpha ~amd64 ~ppc ~sparc ~x86"
-
-DEPEND="virtual/perl-ExtUtils-MakeMaker"
-RDEPEND="
-	dev-perl/Bit-Vector
-	dev-perl/Date-Calc
-	dev-perl/NetAddr-IP
-	dev-perl/Unix-Syslog
-	net-firewall/iptables
-	net-misc/whois
-	virtual/logger
-	virtual/mailx
-	virtual/perl-Storable
-"
-PATCHES=(
-	"${FILESDIR}"/${PN}-2.2.4-var-run.patch
-)
-
-src_prepare() {
-	default
-
-	sed -i \
-		-e 's|/usr/bin/gcc|$(CC)|g' \
-		-e 's|-O|$(CFLAGS) $(LDFLAGS)|g' \
-		Makefile || die
-	# Fix up default paths
-	sed -i \
-		-e "s:/usr/bin/whois_psad:/usr/bin/whois:g" \
-		psad.conf || die
-}
-
-src_configure() {
-	default
-
-	local deps_subdir
-	for deps_subdir in IPTables-Parse IPTables-ChainMgr; do
-		cd "${S}"/deps/${deps_subdir} || die
-		SRC_PREP="no" perl-module_src_configure
-	done
-}
-
-src_compile() {
-	tc-export CC
-	default
-
-	local deps_subdir
-	for deps_subdir in IPTables-Parse IPTables-ChainMgr; do
-		cd "${S}"/deps/${deps_subdir} || die
-		perl-module_src_compile
-	done
-}
-
-src_install() {
-	newbin pscan psad-pscan
-
-	insinto /usr
-	dosbin kmsgsd psad psadwatchd
-	newsbin fwcheck_psad.pl fwcheck_psad
-
-	insinto /etc/psad
-	doins \
-		*.conf auto_dl icmp{,6}_types ip_options psad_* pf.os posf \
-		protocols signatures
-
-	newinitd init-scripts/psad-init.gentoo psad
-
-	doman *.8
-
-	dodoc BENCHMARK CREDITS Change* FW_EXAMPLE_RULES FW_HELP README \
-		README.SYSLOG SCAN_LOG
-
-	insinto /etc/psad/snort_rules
-	doins deps/snort_rules/*
-
-	local deps_subdir
-	for deps_subdir in IPTables-Parse IPTables-ChainMgr; do
-		cd "${S}"/deps/${deps_subdir} || die
-		perl-module_src_install
-	done
-}


^ permalink raw reply related	[flat|nested] 14+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: net-firewall/psad/
@ 2020-11-28 13:34 Thomas Deutschmann
  0 siblings, 0 replies; 14+ messages in thread
From: Thomas Deutschmann @ 2020-11-28 13:34 UTC (permalink / raw
  To: gentoo-commits

commit:     06959b4dfc2cef431ce4c5e96d4911d4d92ec899
Author:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
AuthorDate: Sat Nov 28 13:30:35 2020 +0000
Commit:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
CommitDate: Sat Nov 28 13:30:35 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=06959b4d

net-firewall/psad: x86 stable (bug #757171)

Package-Manager: Portage-3.0.10, Repoman-3.0.2
Signed-off-by: Thomas Deutschmann <whissi <AT> gentoo.org>

 net-firewall/psad/psad-2.4.6.ebuild | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/net-firewall/psad/psad-2.4.6.ebuild b/net-firewall/psad/psad-2.4.6.ebuild
index f4eea7be20f..ef3490e39b5 100644
--- a/net-firewall/psad/psad-2.4.6.ebuild
+++ b/net-firewall/psad/psad-2.4.6.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2018 Gentoo Foundation
+# Copyright 1999-2020 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=6
@@ -11,7 +11,7 @@ HOMEPAGE="https://www.cipherdyne.org/psad/"
 
 SLOT="0"
 LICENSE="GPL-2"
-KEYWORDS="~alpha ~amd64 ~ppc ~sparc ~x86"
+KEYWORDS="~alpha ~amd64 ~ppc ~sparc x86"
 
 DEPEND="virtual/perl-ExtUtils-MakeMaker"
 RDEPEND="


^ permalink raw reply related	[flat|nested] 14+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: net-firewall/psad/
@ 2020-11-29  8:15 Agostino Sarubbo
  0 siblings, 0 replies; 14+ messages in thread
From: Agostino Sarubbo @ 2020-11-29  8:15 UTC (permalink / raw
  To: gentoo-commits

commit:     b2cd325fc81e75943073adf10f3248773fa33cff
Author:     Agostino Sarubbo <ago <AT> gentoo <DOT> org>
AuthorDate: Sun Nov 29 08:12:41 2020 +0000
Commit:     Agostino Sarubbo <ago <AT> gentoo <DOT> org>
CommitDate: Sun Nov 29 08:12:41 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b2cd325f

net-firewall/psad: amd64 stable wrt bug #757171

Package-Manager: Portage-3.0.9, Repoman-3.0.2
RepoMan-Options: --include-arches="amd64"
Signed-off-by: Agostino Sarubbo <ago <AT> gentoo.org>

 net-firewall/psad/psad-2.4.6.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/net-firewall/psad/psad-2.4.6.ebuild b/net-firewall/psad/psad-2.4.6.ebuild
index ef3490e39b5..a990e4582c9 100644
--- a/net-firewall/psad/psad-2.4.6.ebuild
+++ b/net-firewall/psad/psad-2.4.6.ebuild
@@ -11,7 +11,7 @@ HOMEPAGE="https://www.cipherdyne.org/psad/"
 
 SLOT="0"
 LICENSE="GPL-2"
-KEYWORDS="~alpha ~amd64 ~ppc ~sparc x86"
+KEYWORDS="~alpha amd64 ~ppc ~sparc x86"
 
 DEPEND="virtual/perl-ExtUtils-MakeMaker"
 RDEPEND="


^ permalink raw reply related	[flat|nested] 14+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: net-firewall/psad/
@ 2020-11-29  8:20 Agostino Sarubbo
  0 siblings, 0 replies; 14+ messages in thread
From: Agostino Sarubbo @ 2020-11-29  8:20 UTC (permalink / raw
  To: gentoo-commits

commit:     3af36297d68a5c801f7f9b1b284012747c480f16
Author:     Agostino Sarubbo <ago <AT> gentoo <DOT> org>
AuthorDate: Sun Nov 29 08:19:56 2020 +0000
Commit:     Agostino Sarubbo <ago <AT> gentoo <DOT> org>
CommitDate: Sun Nov 29 08:20:05 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3af36297

net-firewall/psad: ppc stable wrt bug #757171

Package-Manager: Portage-3.0.9, Repoman-3.0.2
RepoMan-Options: --include-arches="ppc"
Signed-off-by: Agostino Sarubbo <ago <AT> gentoo.org>

 net-firewall/psad/psad-2.4.6.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/net-firewall/psad/psad-2.4.6.ebuild b/net-firewall/psad/psad-2.4.6.ebuild
index a990e4582c9..56c4275fdd5 100644
--- a/net-firewall/psad/psad-2.4.6.ebuild
+++ b/net-firewall/psad/psad-2.4.6.ebuild
@@ -11,7 +11,7 @@ HOMEPAGE="https://www.cipherdyne.org/psad/"
 
 SLOT="0"
 LICENSE="GPL-2"
-KEYWORDS="~alpha amd64 ~ppc ~sparc x86"
+KEYWORDS="~alpha amd64 ppc ~sparc x86"
 
 DEPEND="virtual/perl-ExtUtils-MakeMaker"
 RDEPEND="


^ permalink raw reply related	[flat|nested] 14+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: net-firewall/psad/
@ 2020-11-29  9:56 David Seifert
  0 siblings, 0 replies; 14+ messages in thread
From: David Seifert @ 2020-11-29  9:56 UTC (permalink / raw
  To: gentoo-commits

commit:     7b5b39224716873c49f0cc0017f17e3d4fcb8ec3
Author:     David Seifert <soap <AT> gentoo <DOT> org>
AuthorDate: Sun Nov 29 09:55:45 2020 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Sun Nov 29 09:55:45 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7b5b3922

net-firewall/psad: Remove old

Package-Manager: Portage-3.0.10, Repoman-3.0.2
Signed-off-by: David Seifert <soap <AT> gentoo.org>

 net-firewall/psad/Manifest          |  2 -
 net-firewall/psad/psad-2.2.5.ebuild | 89 -----------------------------------
 net-firewall/psad/psad-2.4.5.ebuild | 93 -------------------------------------
 3 files changed, 184 deletions(-)

diff --git a/net-firewall/psad/Manifest b/net-firewall/psad/Manifest
index 7efe76b61e5..5d64570b037 100644
--- a/net-firewall/psad/Manifest
+++ b/net-firewall/psad/Manifest
@@ -1,3 +1 @@
-DIST psad-2.2.5.tar.bz2 1243987 BLAKE2B f6b3a86a841b2685a21c4f46cab8cbb720a7955644f28cd0931f0a620aed4a743213a9f276a98b637cd5b13f93565dee22876042e43a0233cb989021fff9b813 SHA512 195a06420cf821d182a5422705ba2d407fd35f23887430e61925cad0eada7d20e2416eaf6317857a5aec2f1264a280a7e0128cc301f17dcf20cf833a9f0efb6e
-DIST psad-2.4.5.tar.bz2 1631602 BLAKE2B 83d5a6811743e56e86984e79f0176db7982243cefcbdef7bdc30300de6a3e2c1d5033e75ec5b7e68e89784b04c98a0ed6b9475a93f4e633ad96380facaf08c21 SHA512 6466cf3191092672557fb6c044c6126290f1d89aea37a20aad1b3eb148b5b8be5bc2cf3700938b91263d7403f776613f304bd491c24a7e16b0975b81f24481a0
 DIST psad-2.4.6.tar.bz2 2548405 BLAKE2B 7479ce4496343ca988da4dbe82190053385f1a8fa2e190002545c63f2e36283bc84293d932ebe147c9078923fa9e0527b4265fffdb8e1fd99bfc5d9955f9f3cd SHA512 a5de29b9ca0108aa8c6a325b725145f408dc517aeee4654596c7a037762f495a78827c64fc2e9c4284bc8db65caf0321982ecaf02de6d73784c2038e1078f42d

diff --git a/net-firewall/psad/psad-2.2.5.ebuild b/net-firewall/psad/psad-2.2.5.ebuild
deleted file mode 100644
index dca106bcba6..00000000000
--- a/net-firewall/psad/psad-2.2.5.ebuild
+++ /dev/null
@@ -1,89 +0,0 @@
-# Copyright 1999-2020 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=5
-#PERL_EXPORT_PHASE_FUNCTIONS=no
-inherit eutils perl-module toolchain-funcs
-
-DESCRIPTION="Port Scanning Attack Detection daemon"
-SRC_URI="https://www.cipherdyne.org/psad/download/${P}.tar.bz2"
-HOMEPAGE="https://www.cipherdyne.org/psad/"
-
-SLOT="0"
-LICENSE="GPL-2"
-KEYWORDS="~alpha amd64 ppc ~sparc x86"
-
-DEPEND="virtual/perl-ExtUtils-MakeMaker"
-RDEPEND="
-	dev-perl/Bit-Vector
-	dev-perl/Date-Calc
-	dev-perl/NetAddr-IP
-	dev-perl/Unix-Syslog
-	net-firewall/iptables
-	net-misc/whois
-	virtual/logger
-	virtual/mailx
-	virtual/perl-Storable
-"
-
-src_prepare() {
-	epatch "${FILESDIR}"/${PN}-2.2.4-var-run.patch
-
-	sed -i \
-		-e 's|/usr/bin/gcc|$(CC)|g' \
-		-e 's|-O|$(CFLAGS) $(LDFLAGS)|g' \
-		Makefile || die
-	# Fix up default paths
-	sed -i \
-		-e "s:/usr/bin/whois_psad:/usr/bin/whois:g" \
-		psad.conf || die
-}
-
-src_configure() {
-	default
-
-	local deps_subdir
-	for deps_subdir in IPTables-Parse IPTables-ChainMgr; do
-		cd "${S}"/deps/${deps_subdir} || die
-		SRC_PREP="no" perl-module_src_configure
-	done
-}
-
-src_compile() {
-	tc-export CC
-	default
-
-	local deps_subdir
-	for deps_subdir in IPTables-Parse IPTables-ChainMgr; do
-		cd "${S}"/deps/${deps_subdir} || die
-		perl-module_src_compile
-	done
-}
-
-src_install() {
-	newbin pscan psad-pscan
-
-	insinto /usr
-	dosbin kmsgsd psad psadwatchd
-	newsbin fwcheck_psad.pl fwcheck_psad
-
-	insinto /etc/psad
-	doins \
-		*.conf auto_dl icmp{,6}_types ip_options psad_* pf.os posf \
-		protocols signatures
-
-	newinitd init-scripts/psad-init.gentoo psad
-
-	doman *.8
-
-	dodoc BENCHMARK CREDITS Change* FW_EXAMPLE_RULES README SCAN_LOG
-
-	insinto /etc/psad/snort_rules
-	doins deps/snort_rules/*
-
-	local deps_subdir
-	for deps_subdir in IPTables-Parse IPTables-ChainMgr; do
-		cd "${S}"/deps/${deps_subdir} || die
-		perl-module_src_install
-	done
-}

diff --git a/net-firewall/psad/psad-2.4.5.ebuild b/net-firewall/psad/psad-2.4.5.ebuild
deleted file mode 100644
index f4eea7be20f..00000000000
--- a/net-firewall/psad/psad-2.4.5.ebuild
+++ /dev/null
@@ -1,93 +0,0 @@
-# Copyright 1999-2018 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-#PERL_EXPORT_PHASE_FUNCTIONS=no
-inherit perl-module toolchain-funcs
-
-DESCRIPTION="Port Scanning Attack Detection daemon"
-SRC_URI="https://www.cipherdyne.org/psad/download/${P}.tar.bz2"
-HOMEPAGE="https://www.cipherdyne.org/psad/"
-
-SLOT="0"
-LICENSE="GPL-2"
-KEYWORDS="~alpha ~amd64 ~ppc ~sparc ~x86"
-
-DEPEND="virtual/perl-ExtUtils-MakeMaker"
-RDEPEND="
-	dev-perl/Bit-Vector
-	dev-perl/Date-Calc
-	dev-perl/NetAddr-IP
-	dev-perl/Unix-Syslog
-	net-firewall/iptables
-	net-misc/whois
-	virtual/logger
-	virtual/mailx
-	virtual/perl-Storable
-"
-PATCHES=(
-	"${FILESDIR}"/${PN}-2.2.4-var-run.patch
-)
-
-src_prepare() {
-	default
-
-	sed -i \
-		-e 's|/usr/bin/gcc|$(CC)|g' \
-		-e 's|-O|$(CFLAGS) $(LDFLAGS)|g' \
-		Makefile || die
-	# Fix up default paths
-	sed -i \
-		-e "s:/usr/bin/whois_psad:/usr/bin/whois:g" \
-		psad.conf || die
-}
-
-src_configure() {
-	default
-
-	local deps_subdir
-	for deps_subdir in IPTables-Parse IPTables-ChainMgr; do
-		cd "${S}"/deps/${deps_subdir} || die
-		SRC_PREP="no" perl-module_src_configure
-	done
-}
-
-src_compile() {
-	tc-export CC
-	default
-
-	local deps_subdir
-	for deps_subdir in IPTables-Parse IPTables-ChainMgr; do
-		cd "${S}"/deps/${deps_subdir} || die
-		perl-module_src_compile
-	done
-}
-
-src_install() {
-	newbin misc/pscan psad-pscan
-
-	insinto /usr
-	dosbin kmsgsd psad psadwatchd
-	newsbin fwcheck_psad.pl fwcheck_psad
-
-	insinto /etc/psad
-	doins \
-		*.conf auto_dl icmp{,6}_types ip_options psad_* pf.os posf \
-		protocols signatures
-
-	newinitd init-scripts/psad-init.gentoo psad
-
-	doman doc/*.8
-
-	dodoc doc/BENCHMARK CREDITS Change* doc/FW_EXAMPLE_RULES README \
-		doc/README.SYSLOG doc/SCAN_LOG
-
-	insinto /etc/psad/snort_rules
-	doins deps/snort_rules/*
-
-	local deps_subdir
-	for deps_subdir in IPTables-Parse IPTables-ChainMgr; do
-		cd "${S}"/deps/${deps_subdir} || die
-		perl-module_src_install
-	done
-}


^ permalink raw reply related	[flat|nested] 14+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: net-firewall/psad/
@ 2021-09-09  4:22 Sam James
  0 siblings, 0 replies; 14+ messages in thread
From: Sam James @ 2021-09-09  4:22 UTC (permalink / raw
  To: gentoo-commits

commit:     9d0a8f96eb050000a64ce687c0947f03948652ef
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Thu Sep  9 04:21:21 2021 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Thu Sep  9 04:21:21 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9d0a8f96

net-firewall/psad: Keyword 2.4.6 arm64, #808645

Signed-off-by: Sam James <sam <AT> gentoo.org>

 net-firewall/psad/psad-2.4.6.ebuild | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/net-firewall/psad/psad-2.4.6.ebuild b/net-firewall/psad/psad-2.4.6.ebuild
index 56c4275fdd5..7a4da9029e1 100644
--- a/net-firewall/psad/psad-2.4.6.ebuild
+++ b/net-firewall/psad/psad-2.4.6.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=6
@@ -11,7 +11,7 @@ HOMEPAGE="https://www.cipherdyne.org/psad/"
 
 SLOT="0"
 LICENSE="GPL-2"
-KEYWORDS="~alpha amd64 ppc ~sparc x86"
+KEYWORDS="~alpha amd64 ~arm64 ppc ~sparc x86"
 
 DEPEND="virtual/perl-ExtUtils-MakeMaker"
 RDEPEND="


^ permalink raw reply related	[flat|nested] 14+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: net-firewall/psad/
@ 2022-07-02 16:19 David Seifert
  0 siblings, 0 replies; 14+ messages in thread
From: David Seifert @ 2022-07-02 16:19 UTC (permalink / raw
  To: gentoo-commits

commit:     c6f38c1a4c71a0d984bf8fc0b8a88b93f5661176
Author:     David Seifert <soap <AT> gentoo <DOT> org>
AuthorDate: Sat Jul  2 16:19:24 2022 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Sat Jul  2 16:19:24 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c6f38c1a

net-firewall/psad: update EAPI 6 -> 8

Signed-off-by: David Seifert <soap <AT> gentoo.org>

 .../{psad-2.4.6.ebuild => psad-2.4.6-r1.ebuild}    | 41 ++++++++++------------
 1 file changed, 19 insertions(+), 22 deletions(-)

diff --git a/net-firewall/psad/psad-2.4.6.ebuild b/net-firewall/psad/psad-2.4.6-r1.ebuild
similarity index 69%
rename from net-firewall/psad/psad-2.4.6.ebuild
rename to net-firewall/psad/psad-2.4.6-r1.ebuild
index 7a4da9029e17..d9125b0b0558 100644
--- a/net-firewall/psad/psad-2.4.6.ebuild
+++ b/net-firewall/psad/psad-2.4.6-r1.ebuild
@@ -1,19 +1,18 @@
-# Copyright 1999-2021 Gentoo Authors
+# Copyright 1999-2022 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=6
-#PERL_EXPORT_PHASE_FUNCTIONS=no
+EAPI=8
+
 inherit perl-module toolchain-funcs
 
 DESCRIPTION="Port Scanning Attack Detection daemon"
-SRC_URI="https://www.cipherdyne.org/psad/download/${P}.tar.bz2"
 HOMEPAGE="https://www.cipherdyne.org/psad/"
+SRC_URI="https://www.cipherdyne.org/psad/download/${P}.tar.bz2"
 
-SLOT="0"
 LICENSE="GPL-2"
+SLOT="0"
 KEYWORDS="~alpha amd64 ~arm64 ppc ~sparc x86"
 
-DEPEND="virtual/perl-ExtUtils-MakeMaker"
 RDEPEND="
 	dev-perl/Bit-Vector
 	dev-perl/Date-Calc
@@ -23,11 +22,10 @@ RDEPEND="
 	net-misc/whois
 	virtual/logger
 	virtual/mailx
-	virtual/perl-Storable
-"
-PATCHES=(
-	"${FILESDIR}"/${PN}-2.2.4-var-run.patch
-)
+	virtual/perl-Storable"
+BDEPEND="virtual/perl-ExtUtils-MakeMaker"
+
+PATCHES=( "${FILESDIR}"/${PN}-2.2.4-var-run.patch )
 
 src_prepare() {
 	default
@@ -45,10 +43,10 @@ src_prepare() {
 src_configure() {
 	default
 
-	local deps_subdir
-	for deps_subdir in IPTables-Parse IPTables-ChainMgr; do
-		cd "${S}"/deps/${deps_subdir} || die
-		SRC_PREP="no" perl-module_src_configure
+	local d
+	for d in IPTables-Parse IPTables-ChainMgr; do
+		cd "${S}"/deps/${d} || die
+		perl-module_src_configure
 	done
 }
 
@@ -56,9 +54,9 @@ src_compile() {
 	tc-export CC
 	default
 
-	local deps_subdir
-	for deps_subdir in IPTables-Parse IPTables-ChainMgr; do
-		cd "${S}"/deps/${deps_subdir} || die
+	local d
+	for d in IPTables-Parse IPTables-ChainMgr; do
+		cd "${S}"/deps/${d} || die
 		perl-module_src_compile
 	done
 }
@@ -66,7 +64,6 @@ src_compile() {
 src_install() {
 	newbin misc/pscan psad-pscan
 
-	insinto /usr
 	dosbin kmsgsd psad psadwatchd
 	newsbin fwcheck_psad.pl fwcheck_psad
 
@@ -85,9 +82,9 @@ src_install() {
 	insinto /etc/psad/snort_rules
 	doins deps/snort_rules/*
 
-	local deps_subdir
-	for deps_subdir in IPTables-Parse IPTables-ChainMgr; do
-		cd "${S}"/deps/${deps_subdir} || die
+	local d
+	for d in IPTables-Parse IPTables-ChainMgr; do
+		cd "${S}"/deps/${d} || die
 		perl-module_src_install
 	done
 }


^ permalink raw reply related	[flat|nested] 14+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: net-firewall/psad/
@ 2023-06-28  7:50 Sam James
  0 siblings, 0 replies; 14+ messages in thread
From: Sam James @ 2023-06-28  7:50 UTC (permalink / raw
  To: gentoo-commits

commit:     e33ed8e10528645fa679b66d43ccad0fee7bfae2
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Wed Jun 28 07:45:39 2023 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Wed Jun 28 07:50:03 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e33ed8e1

net-firewall/psad: add missing selinux policy dep

Signed-off-by: Sam James <sam <AT> gentoo.org>

 net-firewall/psad/psad-2.4.6-r1.ebuild | 7 +++++--
 1 file changed, 5 insertions(+), 2 deletions(-)

diff --git a/net-firewall/psad/psad-2.4.6-r1.ebuild b/net-firewall/psad/psad-2.4.6-r1.ebuild
index d9125b0b0558..7f7c63a676c3 100644
--- a/net-firewall/psad/psad-2.4.6-r1.ebuild
+++ b/net-firewall/psad/psad-2.4.6-r1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2022 Gentoo Authors
+# Copyright 1999-2023 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=8
@@ -12,6 +12,7 @@ SRC_URI="https://www.cipherdyne.org/psad/download/${P}.tar.bz2"
 LICENSE="GPL-2"
 SLOT="0"
 KEYWORDS="~alpha amd64 ~arm64 ppc ~sparc x86"
+IUSE="selinux"
 
 RDEPEND="
 	dev-perl/Bit-Vector
@@ -22,7 +23,9 @@ RDEPEND="
 	net-misc/whois
 	virtual/logger
 	virtual/mailx
-	virtual/perl-Storable"
+	virtual/perl-Storable
+	selinux? ( sec-policy/selinux-psad )
+"
 BDEPEND="virtual/perl-ExtUtils-MakeMaker"
 
 PATCHES=( "${FILESDIR}"/${PN}-2.2.4-var-run.patch )


^ permalink raw reply related	[flat|nested] 14+ messages in thread

end of thread, other threads:[~2023-06-28  7:50 UTC | newest]

Thread overview: 14+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2017-06-20 11:58 [gentoo-commits] repo/gentoo:master commit in: net-firewall/psad/ Jeroen Roovers
  -- strict thread matches above, loose matches on Subject: below --
2023-06-28  7:50 Sam James
2022-07-02 16:19 David Seifert
2021-09-09  4:22 Sam James
2020-11-29  9:56 David Seifert
2020-11-29  8:20 Agostino Sarubbo
2020-11-29  8:15 Agostino Sarubbo
2020-11-28 13:34 Thomas Deutschmann
2018-08-07  7:25 Jeroen Roovers
2018-08-07  7:25 Jeroen Roovers
2018-05-06 14:16 Aaron Bauman
2017-02-21  5:10 Jeroen Roovers
2015-12-28  7:45 Jeroen Roovers
2015-12-16  8:15 Jeroen Roovers

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox